curl -X GET 'https://api.tolt.com/v1/transactions/txn_eK9bzRGn46BhVgNFHD6fDgXW' \
-H 'Authorization: Bearer <API_KEY>'
curl -X GET 'https://api.tolt.com/v1/transactions/txn_eK9bzRGn46BhVgNFHD6fDgXW?expand[]=customer&expand[]=program&expand[]=partner' \
-H 'Authorization: Bearer <API_KEY>'
{
"success": true,
"data": {
"id": "txn_eK9bzRGn46BhVgNFHD6fDgXW",
"amount": 9999,
"customer_id": "cust_dK9bzRGn46BhVgNFHD6fDgXW",
"billing_type": "subscription",
"charge_id": "ch_9bzRGn46BhVgNFHD6fDgXW",
"click_id": "clk_7mbzRGn46BhVgNFHD6fDgXW",
"source": "stripe",
"interval": "month",
"created_at": "2025-01-15T14:30:00.000Z",
"updated_at": "2025-01-15T14:30:00.000Z",
"program_id": "prg_YRsbPDAKhWfdqJbFACheh",
"partner_id": "part_ER3mfYNL9ci7sFaJazAv2"
}
}
{
"success": true,
"data": {
"id": "txn_eK9bzRGn46BhVgNFHD6fDgXW",
"amount": 9999,
"customer_id": "cust_dK9bzRGn46BhVgNFHD6fDgXW",
"billing_type": "subscription",
"charge_id": "ch_9bzRGn46BhVgNFHD6fDgXW",
"click_id": "clk_7mbzRGn46BhVgNFHD6fDgXW",
"product_id": "prod_123",
"product_name": "Premium Plan",
"source": "stripe",
"interval": "month",
"created_at": "2025-01-15T14:30:00.000Z",
"program_id": "prg_YRsbPDAKhWfdqJbFACheh",
"organization_id": "org_JE3mfYNL9ci7sFaJazAv2",
"customer": {
"id": "cust_dK9bzRGn46BhVgNFHD6fDgXW",
"email": "cust_123",
"name": "Jim Halpert",
"status": "active",
"created_at": "2025-01-15T14:30:00.000Z"
},
"program": {
"id": "prg_YRsbPDAKhWfdqJbFACheh",
"status": "active",
"name": "Tolt's Partnership Program",
"product_name": "Tolt",
"subdomain": "affiliates",
"type": "public",
"currency_code": "USD",
"created_at": "2024-03-05T10:28:08.984+00:00"
},
"partner": {
"id": "part_s7mbzRGn46BhVgNFHD6fDgXW",
"first_name": "Michael",
"last_name": "Scott",
"email": "michael.scott@dundermifflin.com",
"company_name": "Dunder Mifflin",
"status": "active",
"created_at": "2025-01-13T10:06:11.251Z"
}
}
}
Transactions
Retrieve Transaction
This endpoint retrieves a transaction.
GET
/
v1
/
transactions
/
:id
curl -X GET 'https://api.tolt.com/v1/transactions/txn_eK9bzRGn46BhVgNFHD6fDgXW' \
-H 'Authorization: Bearer <API_KEY>'
curl -X GET 'https://api.tolt.com/v1/transactions/txn_eK9bzRGn46BhVgNFHD6fDgXW?expand[]=customer&expand[]=program&expand[]=partner' \
-H 'Authorization: Bearer <API_KEY>'
{
"success": true,
"data": {
"id": "txn_eK9bzRGn46BhVgNFHD6fDgXW",
"amount": 9999,
"customer_id": "cust_dK9bzRGn46BhVgNFHD6fDgXW",
"billing_type": "subscription",
"charge_id": "ch_9bzRGn46BhVgNFHD6fDgXW",
"click_id": "clk_7mbzRGn46BhVgNFHD6fDgXW",
"source": "stripe",
"interval": "month",
"created_at": "2025-01-15T14:30:00.000Z",
"updated_at": "2025-01-15T14:30:00.000Z",
"program_id": "prg_YRsbPDAKhWfdqJbFACheh",
"partner_id": "part_ER3mfYNL9ci7sFaJazAv2"
}
}
{
"success": true,
"data": {
"id": "txn_eK9bzRGn46BhVgNFHD6fDgXW",
"amount": 9999,
"customer_id": "cust_dK9bzRGn46BhVgNFHD6fDgXW",
"billing_type": "subscription",
"charge_id": "ch_9bzRGn46BhVgNFHD6fDgXW",
"click_id": "clk_7mbzRGn46BhVgNFHD6fDgXW",
"product_id": "prod_123",
"product_name": "Premium Plan",
"source": "stripe",
"interval": "month",
"created_at": "2025-01-15T14:30:00.000Z",
"program_id": "prg_YRsbPDAKhWfdqJbFACheh",
"organization_id": "org_JE3mfYNL9ci7sFaJazAv2",
"customer": {
"id": "cust_dK9bzRGn46BhVgNFHD6fDgXW",
"email": "cust_123",
"name": "Jim Halpert",
"status": "active",
"created_at": "2025-01-15T14:30:00.000Z"
},
"program": {
"id": "prg_YRsbPDAKhWfdqJbFACheh",
"status": "active",
"name": "Tolt's Partnership Program",
"product_name": "Tolt",
"subdomain": "affiliates",
"type": "public",
"currency_code": "USD",
"created_at": "2024-03-05T10:28:08.984+00:00"
},
"partner": {
"id": "part_s7mbzRGn46BhVgNFHD6fDgXW",
"first_name": "Michael",
"last_name": "Scott",
"email": "michael.scott@dundermifflin.com",
"company_name": "Dunder Mifflin",
"status": "active",
"created_at": "2025-01-13T10:06:11.251Z"
}
}
}
Base URL https://api.tolt.com
Query Parameters
array - optional
Specify which related objects to include in the response. Valid values are
‘customer’, ‘program’, and ‘partner’. Use expand[]=customer,
expand[]=program, or expand[]=partner to include the related objects.
Response
boolean
Whether the request was successful
object
Hide properties
Hide properties
string
Unique identifier for the transaction
number
Transaction amount in cents
string
ID of the associated customer
string
The billing type
string
Associated charge identifier
string
Associated click identifier
string
ISO 8601 timestamp of creation
string
Source of the transaction
string
Subscription interval
string
Program ID the transaction belongs to
string
Unique identifier for the partner
curl -X GET 'https://api.tolt.com/v1/transactions/txn_eK9bzRGn46BhVgNFHD6fDgXW' \
-H 'Authorization: Bearer <API_KEY>'
curl -X GET 'https://api.tolt.com/v1/transactions/txn_eK9bzRGn46BhVgNFHD6fDgXW?expand[]=customer&expand[]=program&expand[]=partner' \
-H 'Authorization: Bearer <API_KEY>'
{
"success": true,
"data": {
"id": "txn_eK9bzRGn46BhVgNFHD6fDgXW",
"amount": 9999,
"customer_id": "cust_dK9bzRGn46BhVgNFHD6fDgXW",
"billing_type": "subscription",
"charge_id": "ch_9bzRGn46BhVgNFHD6fDgXW",
"click_id": "clk_7mbzRGn46BhVgNFHD6fDgXW",
"source": "stripe",
"interval": "month",
"created_at": "2025-01-15T14:30:00.000Z",
"updated_at": "2025-01-15T14:30:00.000Z",
"program_id": "prg_YRsbPDAKhWfdqJbFACheh",
"partner_id": "part_ER3mfYNL9ci7sFaJazAv2"
}
}
{
"success": true,
"data": {
"id": "txn_eK9bzRGn46BhVgNFHD6fDgXW",
"amount": 9999,
"customer_id": "cust_dK9bzRGn46BhVgNFHD6fDgXW",
"billing_type": "subscription",
"charge_id": "ch_9bzRGn46BhVgNFHD6fDgXW",
"click_id": "clk_7mbzRGn46BhVgNFHD6fDgXW",
"product_id": "prod_123",
"product_name": "Premium Plan",
"source": "stripe",
"interval": "month",
"created_at": "2025-01-15T14:30:00.000Z",
"program_id": "prg_YRsbPDAKhWfdqJbFACheh",
"organization_id": "org_JE3mfYNL9ci7sFaJazAv2",
"customer": {
"id": "cust_dK9bzRGn46BhVgNFHD6fDgXW",
"email": "cust_123",
"name": "Jim Halpert",
"status": "active",
"created_at": "2025-01-15T14:30:00.000Z"
},
"program": {
"id": "prg_YRsbPDAKhWfdqJbFACheh",
"status": "active",
"name": "Tolt's Partnership Program",
"product_name": "Tolt",
"subdomain": "affiliates",
"type": "public",
"currency_code": "USD",
"created_at": "2024-03-05T10:28:08.984+00:00"
},
"partner": {
"id": "part_s7mbzRGn46BhVgNFHD6fDgXW",
"first_name": "Michael",
"last_name": "Scott",
"email": "michael.scott@dundermifflin.com",
"company_name": "Dunder Mifflin",
"status": "active",
"created_at": "2025-01-13T10:06:11.251Z"
}
}
}
⌘I

